새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

인증 상태 조회

GET
/v2/verifications/{verificationId}

인증 한 건의 상태를 조회합니다.

만료는 조회 시점에 판정해 반영하므로, ttlSeconds 가 지난 건은 이 호출에서 expired 로 바뀝니다.

pending 이 아니면 instruction 은 null 입니다 — 쓸 수 없는 안내를 계속 보여 주지 않습니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

verificationId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/verifications/VE1a2b3c4d5e6f7a8b"
{
  "verificationId": "VE1a2b3c4d5e6f7a8b",
  "status": "pending",
  "channel": "sms",
  "to": "01012345678",
  "from": "07052358010",
  "codeLength": 6,
  "remainingAttempts": 5,
  "expiresAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "verifiedAt": "2019-08-24T14:15:22Z",
  "instruction": {
    "type": "string",
    "sendTo": "string",
    "body": "string",
    "callTo": "string",
    "code": "string",
    "deadline": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}